Package Details: vocal 2.0.1-3

Git Clone URL: https://aur.archlinux.org/vocal.git (read-only)
Package Base: vocal
Description: A powerful, beautiful, and simple podcast client for the modern free desktop.
Upstream URL: http://www.vocalproject.net
Licenses: GPL3
Submitter: jfperini
Maintainer: tydell
Last Packager: huiyiqun
Votes: 22
Popularity: 0.848540
First Submitted: 2014-09-13 23:27
Last Updated: 2017-06-30 07:17

Latest Comments

lmello commented on 2018-02-01 12:54

build error:

[100%] Built target vocal [100%] Built target i18n Install the project... -- Install configuration: "" -- Installing: /tmp/yaourt-tmp-lmello/aur-vocal/pkg/vocal/usr/share/glib-2.0/schemas/com.github.needle-and-thread.vocal.gschema.xml -- Compiling GSettings schemas Failed to create file “/usr/share/glib-2.0/schemas/gschemas.compiled.OII2DZ”: Permission denied -- Installing: /tmp/yaourt-tmp-lmello/aur-vocal/pkg/vocal/usr/bin/vocal CMake Error at cmake_install.cmake:77 (file): file INSTALL cannot find "/tmp/yaourt-tmp-lmello/aur-vocal/src/vocal-2.0.20/build/com.github.needle-and-thread.vocal.desktop".

7thSon commented on 2018-01-11 14:56

Installs and launches vocal just fine, but when trying to play a podcast, nothing happens and the player remains silent and stopped. Is this a known issue and is there a fix?

thejacer87 commented on 2017-12-21 06:29

getting an issue trying to launch vocal.

$ vocal vocal: error while loading shared libraries: libgranite.so.3: cannot open shared object file: No such file or directory

tfla commented on 2017-12-18 12:28

Yeah, adding 'intltool' to dependencies works for me too. Would be a good idea to add it to the PKGBUILD.

demesne commented on 2017-11-22 15:15

The build failures are because of missing translation from the **desktop.in to **desktop and similarly for the xml.

Install 'intltool' and see if the build works.

@huiyiqun, @tydell would suggest adding it to the dependency.

ahrs commented on 2017-09-28 18:42

It fails to build for me too, same issue as isiachi and thejacer87. Not sure why it's trying to create a file in /usr/share/glib-2.0/schemas/ in the first place. Here's a build log if it helps:

https://gist.github.com/anonymous/555686fa2917b911178a048a846eb8b7

If I have some time I may look into this myself as I'd like to try this out.

thejacer87 commented on 2017-07-04 02:55

same issue as isiachi

isiachi commented on 2017-07-01 12:36

Problem while creating the package:
==> Starting package()...
[100%] Built target vocal
[100%] Built target i18n
Install the project...
-- Install configuration: ""
-- Installing: /tmp/yaourt-tmp-isiachi/aur-vocal/pkg/vocal/usr/share/glib-2.0/schemas/com.github.needle-and-thread.vocal.gschema.xml
-- Compiling GSettings schemas
Failed to create file “/usr/share/glib-2.0/schemas/gschemas.compiled.AHPI2Y”: Permission denied
-- Installing: /tmp/yaourt-tmp-isiachi/aur-vocal/pkg/vocal/usr/bin/vocal
CMake Error at cmake_install.cmake:72 (file):
file INSTALL cannot find
"/tmp/yaourt-tmp-isiachi/aur-vocal/src/vocal-2.0.20/build/com.github.needle-and-thread.vocal.desktop".


make: *** [Makefile:118: install] Error 1
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build vocal.

thefallenrat commented on 2017-06-30 06:34

Please add clutter-gst (clutter-gst-git) as a dependency. Cause mine seems to failed building this package without clutter-gst installed...

grimsock commented on 2017-05-21 07:46

@Chrissss I suggest report it to vocal project authors. I'm only the maintainer of arch package. Cannot help much in resolving it. I can only confirm that I couldn't also import that feeds.

All comments